## org.exist.util.serializer
Class DOMSerializer

    java.lang.Object
      org.exist.util.serializer.DOMSerializer

Direct Known Subclasses:
  ExtendedDOMSerializer

public class DOMSerializer
extends java.lang.Object

Constructor Summary
`DOMSerializer()`
`DOMSerializer(java.io.Writer writer, java.util.Properties outputProperties)`

Method Summary
`void` `reset()`
`void` `serialize(org.w3c.dom.Node node)`
`void` `setOutputProperties(java.util.Properties outputProperties)`
`void` `setWriter(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMSerializer

    public DOMSerializer()

### DOMSerializer

    public DOMSerializer(java.io.Writer writer,
                         java.util.Properties outputProperties)

Method Detail

### setOutputProperties

    public void setOutputProperties(java.util.Properties outputProperties)

### setWriter

    public void setWriter(java.io.Writer writer)

### reset

    public void reset()

### serialize

    public void serialize(org.w3c.dom.Node node)
                   throws javax.xml.transform.TransformerException

  Throws:
    `javax.xml.transform.TransformerException`

Copyright (C) Wolfgang Meier. All rights reserved.